Add an indication to admin/info whether or not ImageMagick convert is available

2013-11-10 15:48 - Mischa The Evil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version: 2.4.0   

Resolution: Fixed   

Description

ImageMagick convert is now used for generating thumbnails

1

 which makes it (specifically ImageMagick) an optional dependency.

Inspired by #15297#note-1 and some others I think it would be good if its availability is indicated on admin/info.

1

 for both issue attachments thumbnails as well as macro thumbnails

Associated revisions

Revision 12278 - 2013-11-15 21:11 - Jean-Philippe Lang

Add an indication to admin/info whether or not ImageMagick convert is available (#15311).

Patch by Mischa The Evil.

Revision 12281 - 2013-11-15 21:35 - Jean-Philippe Lang

Merged r12278 (#15311).

History

#1 - 2013-11-10 16:05 - Mischa The Evil

- File rm15311-add_convert_availability_indication-trunk_r12240.diff added

- File rm15311-add_convert_availability_indication.png added

Patch, including English and Dutch translations (EN stubs for others) attached. A test for this tiny change is omitted.

The essence of the patch:

Index: app/controllers/admin_controller.rb

===================================================================

--- app/controllers/admin_controller.rb    (revision 12240)

+++ app/controllers/admin_controller.rb    (working copy)

@@ -77,7 +77,8 @@

       [:text_default_administrator_account_changed, User.default_admin_account_changed?],

       [:text_file_repository_writable, File.writable?(Attachment.storage_path)],

       [:text_plugin_assets_writable,   File.writable?(Redmine::Plugin.public_directory)],

-      [:text_rmagick_available,        Object.const_defined?(:Magick)]

+      [:text_rmagick_available,        Object.const_defined?(:Magick)],

+      [:text_convert_available,        Redmine::Thumbnail.convert_available?]

     ]

   end

 end

 This changes admin/info like:

 550 

#2 - 2013-11-15 21:11 - Jean-Philippe Lang

- Category changed from UI to Administration

- Status changed from New to Closed

- Target version set to 2.4.0

- Resolution set to Fixed
https://www.redmine.org/issues/15297#note-1
https://www.redmine.org/attachments/10738


Thanks for patch, it's committed in r12278.
